ggspectra

Extensions to 'ggplot2' for Radiation Spectra

Additional annotations, and stats for plotting "light" spectra with 'ggplot2', together with specializations of ggplot() and plot() methods for spectral data stored in objects of the classes defined in package 'photobiology' and a plot() method for objects of class "waveband", also defined in package 'photobiology'. Part of the 'r4photobiology' suite, Aphalo P. J. (2015) <doi:10.19232/uv4pb.2015.1.14>.

Total

15,557

Last month

463

Last week

105

Average per day

15

Daily downloads

Total downloads

Description file content

Package
ggspectra
Type
Package
Title
Extensions to 'ggplot2' for Radiation Spectra
Version
0.3.1
Date
2018-10-28
Maintainer
Pedro J. Aphalo
Description
Additional annotations, and stats for plotting "light" spectra with 'ggplot2', together with specializations of ggplot() and plot() methods for spectral data stored in objects of the classes defined in package 'photobiology' and a plot() method for objects of class "waveband", also defined in package 'photobiology'. Part of the 'r4photobiology' suite, Aphalo P. J. (2015) .
License
GPL (>= 2)
LazyData
TRUE
LazyLoad
TRUE
ByteCompile
TRUE
Depends
R (>= 3.4.0)
Imports
photobiology (>= 0.9.24), photobiologyWavebands (>= 0.4.2), scales (>= 1.0.0), ggplot2 (>= 3.0.0), ggrepel (>= 0.8.0), dplyr (>= 0.7.6), lubridate (>= 1.7.4), tidyr (>= 0.8.1)
Suggests
knitr (>= 1.20), rmarkdown (>= 1.10)
URL
BugReports
https://bitbucket.org/aphalo/ggspectra
Encoding
UTF-8
RoxygenNote
6.1.0
VignetteBuilder
knitr
NeedsCompilation
no
Packaged
2018-10-29 19:08:39 UTC; aphalo
Author
Pedro J. Aphalo [aut, cre] (), Titta K. Kotilainen [ctb] ()
Repository
CRAN
Date/Publication
2018-10-29 20:30:17 UTC

install.packages('ggspectra')

0.3.1

a month ago

https://www.r4photobiology.info

Pedro J. Aphalo

GPL (>= 2)

Depends on

R (>= 3.4.0)

Imports

photobiology (>= 0.9.24), photobiologyWavebands (>= 0.4.2), scales (>= 1.0.0), ggplot2 (>= 3.0.0), ggrepel (>= 0.8.0), dplyr (>= 0.7.6), lubridate (>= 1.7.4), tidyr (>= 0.8.1)

Suggests

knitr (>= 1.20), rmarkdown (>= 1.10)

Discussions